#!/bin/sh

# assume we start in directory examples/uvmap or testing/uvmap

case_dir="`pwd`"
src_dir="${case_dir}/../../src/uvmap"

if [ "`echo ${case_dir} | grep examples/uvmap`" = "" ] && [ "`echo ${case_dir} | grep testing/uvmap`" == "" ]; then

	echo "you must start this script in either examples/uvmap or testing/uvmap"
	exit
fi

if [ "`uname -s`" = "Darwin" ]; then

	arch="MacOSX"

elif [ "`uname -s | grep CYGWIN`" ]; then

	arch="Cygwin"
else
	arch="Linux"
fi

cd ${src_dir}

if [ "$1" = "-debug" ]; then

	shift 1
	make -f Makefile.${arch} DEBUG=yes
	uvmap_exe="valgrind `make -f Makefile.${arch} DEBUG=yes exe_path`"
else
	make -f Makefile.${arch}
	uvmap_exe="`make -f Makefile.${arch} exe_path`"
fi

/bin/rm -f *.o

cd ${case_dir}

case_files="case01 case02 case03 case04 case05 case06 case07 case08 case09 case10 case11 case12 case13"

for case_file in ${case_files}; do

	${uvmap_exe} ${case_file} -log
	${uvmap_exe} ${case_file} -log -egads_api
done
